<?php
/**
 * @package Demo Import
 * @since 1.0.0
 */

class ThemeWhizzie {

	protected $version = '1.1.0';

	/** @var string Current theme name, used as namespace in actions. */
	protected $theme_name = '';
	protected $theme_title = '';

	/** @var string Demo Import page slug and title. */
	protected $page_slug = '';
	protected $page_title = '';

	/** @var array Demo Import steps set by user. */
	protected $config_steps = array();
	public $parent_slug;
	/**
	 * Constructor
	 *
	 * @param $estate_rental_listings_config	Our config parameters
	*/
	public function __construct( $estate_rental_listings_config ) {
		$this->set_vars( $estate_rental_listings_config );
		$this->init();
	}

	/**
	 * Set some settings
	 * @since 1.0.0
	 * @param $estate_rental_listings_config	Our config parameters
	*/
	public function set_vars( $estate_rental_listings_config ) {
		if( isset( $estate_rental_listings_config['page_slug'] ) ) {
			$this->page_slug = esc_attr( $estate_rental_listings_config['page_slug'] );
		}
		if( isset( $estate_rental_listings_config['page_title'] ) ) {
			$this->page_title = esc_attr( $estate_rental_listings_config['page_title'] );
		}
		if( isset( $estate_rental_listings_config['steps'] ) ) {
			$this->config_steps = $estate_rental_listings_config['steps'];
		}

		$current_theme = wp_get_theme();
		$this->theme_title = $current_theme->get( 'Name' );
		$this->theme_name = strtolower( preg_replace( '#[^a-zA-Z]#', '', $current_theme->get( 'Name' ) ) );
		$this->page_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_page_slug', $this->theme_name . '-demoimport' );
		$this->parent_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_parent_slug', '' );
	}

	/**
	 * Hooks and filters
	 * @since 1.0.0
	*/
	public function init() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		add_action( 'admin_menu', array( $this, 'menu_page' ) );
		add_action( 'wp_ajax_setup_widgets', array( $this, 'setup_widgets' ) );
	}

	public function enqueue_scripts() {
		wp_enqueue_style( 'demo-import-style', get_template_directory_uri() . '/demo-import/assets/css/demo-import-style.css');
		wp_register_script( 'demo-import-script', get_template_directory_uri() . '/demo-import/assets/js/demo-import-script.js', array( 'jquery' ), time() );
		wp_localize_script(
			'demo-import-script',
			'estate_rental_listings_whizzie_params',
			array(
				'ajaxurl' 		=> admin_url( 'admin-ajax.php' ),
				'wpnonce' 		=> wp_create_nonce( 'whizzie_nonce' ),
				'verify_text'	=> esc_html( 'verifying', 'estate-rental-listings' )
			)
		);
		wp_enqueue_script( 'demo-import-script' );
	}

	/**  Make a modal screen for the wizard **/
	public function menu_page() {
		add_menu_page( esc_html( $this->page_title ), esc_html( $this->page_title ), 'manage_options', $this->page_slug, array( $this, 'estate_rental_listings_guide' ) ,'',40);
	}

	/** Make an interface for the wizard **/
	public function wizard_page() {
		/* If we arrive here, we have the filesystem */ ?>
		<div class="wrap">
			<?php echo '<div class="whizzie-wrap">';
				// The wizard is a list with only one item visible at a time
				$steps = $this->get_steps();
				echo '<ul class="whizzie-nav wizard-icon-nav">';?>
				<?php
					$stepI=1;
					foreach( $steps as $step ) {
						$stepAct=($stepI ==1)? 1 : 0;
						if( isset( $step['icon_text'] ) && $step['icon_text'] ) {
							echo '<li class="commom-cls nav-step-' . esc_attr( $step['id'] ) . '" wizard-steps="step-'.esc_attr( $step['id'] ).'" data-enable="'.$stepAct.'">
							<p>'.esc_attr( $step['icon_text'] ).'</p>
							</li>';
						}
					$stepI++;}
			 	echo '</ul>';
				echo '<ul class="whizzie-menu wizard-menu-page">';
				foreach( $steps as $step ) {
					$class = 'step step-' . esc_attr( $step['id'] );
					echo '<li data-step="' . esc_attr( $step['id'] ) . '" class="' . esc_attr( $class ) . '" >';
						$content = call_user_func( array( $this, $step['view'] ) );
						printf('<div class="wizard-button-wrapper">');
							if( isset( $step['button_text_one'] )) {
								printf(
									'<div class="button-wrap button-wrap-one">
										<a href="#" class="button button-primary do-it" data-callback="install_widgets" data-step="widgets"><p class="demo-type-text">%s</p></a>
									</div>',
									esc_html( $step['button_text_one'] )
								);
							}
						printf('</div>');
					echo '</li>';
				}
				echo '</ul>';
				?>
				<div class="step-loading"><span class="spinner">
					<img src="<?php echo esc_url(get_template_directory_uri().'/demo-import/assets/images/Spinner-Animaion.gif'); ?>">
				</span></div>
			<?php echo '</div>';?>
		</div>
	<?php }

	/**
	 * Set options for the steps
	 * @return Array
	*/
	public function get_steps() {
		$dev_steps = $this->config_steps;
		$steps = array(
			'widgets' => array(
				'id'			=> 'widgets',
				'title'			=> __( 'Customizer', 'estate-rental-listings' ),
				'icon'			=> 'welcome-widgets-menus',
				'view'			=> 'get_step_widgets',
				'callback'		=> 'install_widgets',
				'button_text_one'	=> __( 'Import Demo', 'estate-rental-listings' ),
				'can_skip'		=> true,
				'icon_text'      => 'Import Demo'
			),
			'done' => array(
				'id'			=> 'done',
				'title'			=> __( 'All Done', 'estate-rental-listings' ),
				'icon'			=> 'yes',
				'view'			=> 'get_step_done',
				'callback'		=> '',
				'icon_text'      => 'Done'
			)
		);
		// Iterate through each step and replace with dev config values
		if( $dev_steps ) {
			// Configurable elements - these are the only ones the dev can update from config.php
			$can_config = array( 'title', 'icon', 'button_text', 'can_skip' );
			foreach( $dev_steps as $dev_step ) {
				// We can only proceed if an ID exists and matches one of our IDs
				if( isset( $dev_step['id'] ) ) {
					$id = $dev_step['id'];
					if( isset( $steps[$id] ) ) {
						foreach( $can_config as $element ) {
							if( isset( $dev_step[$element] ) ) {
								$steps[$id][$element] = $dev_step[$element];
							}
						}
					}
				}
			}
		}
		return $steps;
	}

	/**    Print the content for the intro step     **/
		public function get_step_importer() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('Thank you for choosing this Estate Rental Listings Theme. Using this quick setup wizard, you will be able to configure your new website and get it running in just a few minutes. Just follow these simple steps mentioned in the wizard and get started with your website.','estate-rental-listings'); ?>
			</p>
		</div>
	<?php }

	/**   Print the content for the widgets step   **/
	public function get_step_widgets() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('This theme allows you to import demo content and add widgets. Install them using the button below. You can also update or deactivate them using the Customizer.','estate-rental-listings'); ?>
			</p>
		</div>
	<?php }

	/** Print the content for the final step **/
	public function get_step_done() { ?>

		<div class="setup-finish">
			<p>
				<?php echo esc_html('Your demo content has been imported successfully. Click the finish button for more information.'); ?>
			</p>
			<div class="finish-buttons">
				<a href="<?php echo esc_url( admin_url( 'themes.php?page=estate-rental-listings-getstart-page' ) ); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('About Estate Rental Listings','estate-rental-listings') ?></a>
				<a href="<?php echo esc_url(admin_url('/customize.php')); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('Customize Your Demo','estate-rental-listings') ?></a>
				<a href="" class="wz-btn-builder" target="_blank"><?php esc_html_e('Customize Your Demo','estate-rental-listings'); ?></a>
				<a href="<?php echo esc_url(home_url()); ?>" class="wz-btn-visit-site" target="_blank"><?php esc_html_e('Visit Your Site','estate-rental-listings'); ?></a>
			</div>
			<div class="finish-buttons">
				<a href="<?php echo esc_url(admin_url()); ?>" class="button button-primary"><?php esc_html_e('Finish','estate-rental-listings'); ?></a>
			</div>
		</div>

	<?php }


	public function estate_rental_listings_customizer_nav_menu() {
		// ------- Create Primary Menu --------
		$estate_rental_listings_themename = 'Estate Rental Listings'; // Ensure the theme name is set
		$estate_rental_listings_menuname = $estate_rental_listings_themename . ' Primary Menu';
		$estate_rental_listings_menulocation = 'menu-1';
		$estate_rental_listings_menu_exists = wp_get_nav_menu_object($estate_rental_listings_menuname);

		if (!$estate_rental_listings_menu_exists) {
			$estate_rental_listings_menu_id = wp_create_nav_menu($estate_rental_listings_menuname);

			// Home
			wp_update_nav_menu_item($estate_rental_listings_menu_id, 0, array(
				'menu-item-title' => __('Home', 'estate-rental-listings'),
				'menu-item-classes' => 'home',
				'menu-item-url' => home_url('/'),
				'menu-item-status' => 'publish'
			));

			// About
			$estate_rental_listings_page_about = get_page_by_path('about');
			if($estate_rental_listings_page_about){
				wp_update_nav_menu_item($estate_rental_listings_menu_id, 0, array(
					'menu-item-title' => __('About', 'estate-rental-listings'),
					'menu-item-classes' => 'about',
					'menu-item-url' => get_permalink($estate_rental_listings_page_about),
					'menu-item-status' => 'publish'
				));
			}

			// Services
			$estate_rental_listings_page_services = get_page_by_path('services');
			if($estate_rental_listings_page_services){
				wp_update_nav_menu_item($estate_rental_listings_menu_id, 0, array(
					'menu-item-title' => __('Services', 'estate-rental-listings'),
					'menu-item-classes' => 'services',
					'menu-item-url' => get_permalink($estate_rental_listings_page_services),
					'menu-item-status' => 'publish'
				));
			}

			// Blog
			$estate_rental_listings_page_blog = get_page_by_path('blog');
			if($estate_rental_listings_page_blog){
				wp_update_nav_menu_item($estate_rental_listings_menu_id, 0, array(
					'menu-item-title' => __('Blog', 'estate-rental-listings'),
					'menu-item-classes' => 'blog',
					'menu-item-url' => get_permalink($estate_rental_listings_page_blog),
					'menu-item-status' => 'publish'
				));
			}

			// Contact Us
			$estate_rental_listings_page_contact = get_page_by_path('contact');
			if($estate_rental_listings_page_contact){
				wp_update_nav_menu_item($estate_rental_listings_menu_id, 0, array(
					'menu-item-title' => __('Contact Us', 'estate-rental-listings'),
					'menu-item-classes' => 'contact',
					'menu-item-url' => get_permalink($estate_rental_listings_page_contact),
					'menu-item-status' => 'publish'
				));
			}

			// Assign menu to location if not set
			if (!has_nav_menu($estate_rental_listings_menulocation)) {
				$estate_rental_listings_locations = get_theme_mod('nav_menu_locations');
				$estate_rental_listings_locations[$estate_rental_listings_menulocation] = $estate_rental_listings_menu_id; // Use $estate_rental_listings_menu_id here
				set_theme_mod('nav_menu_locations', $estate_rental_listings_locations);
			}
		}
	}

	public function estate_rental_listings_social_menu() {

		// ------- Create Social Menu --------
		$estate_rental_listings_menuname = $estate_rental_listings_themename . 'Social Menu';
		$estate_rental_listings_menulocation = 'social-menu';
		$estate_rental_listings_menu_exists = wp_get_nav_menu_object( $estate_rental_listings_menuname );

		if( !$estate_rental_listings_menu_exists){
			$estate_rental_listings_menu_id = wp_create_nav_menu($estate_rental_listings_menuname);

			wp_update_nav_menu_item( $estate_rental_listings_menu_id, 0, array(
				'menu-item-title'  => __( 'Facebook', 'estate-rental-listings' ),
				'menu-item-url'    => 'https://www.facebook.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $estate_rental_listings_menu_id, 0, array(
				'menu-item-title'  => __( 'Pinterest', 'estate-rental-listings' ),
				'menu-item-url'    => 'https://www.pinterest.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $estate_rental_listings_menu_id, 0, array(
				'menu-item-title'  => __( 'Twitter', 'estate-rental-listings' ),
				'menu-item-url'    => 'https://www.twitter.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $estate_rental_listings_menu_id, 0, array(
				'menu-item-title'  => __( 'Youtube', 'estate-rental-listings' ),
				'menu-item-url'    => 'https://www.youtube.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $estate_rental_listings_menu_id, 0, array(
				'menu-item-title'  => __( 'Instagram', 'estate-rental-listings' ),
				'menu-item-url'    => 'https://www.instagram.com',
				'menu-item-status' => 'publish',
			) );

			if( !has_nav_menu( $estate_rental_listings_menulocation ) ){
					$locations = get_theme_mod('nav_menu_locations');
					$locations[$estate_rental_listings_menulocation] = $estate_rental_listings_menu_id;
					set_theme_mod( 'nav_menu_locations', $locations );
			}
		}
	}

	/**
	* Imports the Demo Content
	* @since 1.1.0
	*/
	public function setup_widgets() {

		//................................................. MENU PAGES .................................................//
		
		$estate_rental_listings_home_id='';
		$estate_rental_listings_home_content = '';

		$estate_rental_listings_home_title = 'Home';
		$estate_rental_listings_home = array(
				'post_type' => 'page',
				'post_title' => $estate_rental_listings_home_title,
				'post_content'  => $estate_rental_listings_home_content,
				'post_status' => 'publish',
				'post_author' => 1,
				'post_slug' => 'home'
		);
		$estate_rental_listings_home_id = wp_insert_post($estate_rental_listings_home);

		//Set the home page template
		add_post_meta( $estate_rental_listings_home_id, '_wp_page_template', 'revolution-home.php' );

		//Set the static front page
		$estate_rental_listings_home = get_page_by_title( 'Home' );
		update_option( 'page_on_front', $estate_rental_listings_home->ID );
		update_option( 'show_on_front', 'page' );


		// Create a posts page and assign the template
		$estate_rental_listings_blog_title = 'Blog';
		$estate_rental_listings_blog_check = get_page_by_path('blog');
		if (!$estate_rental_listings_blog_check) {
			$estate_rental_listings_blog = array(
				'post_type'    => 'page',
				'post_title'   => $estate_rental_listings_blog_title,
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'blog' // Unique slug for the blog page
			);
			$estate_rental_listings_blog_id = wp_insert_post($estate_rental_listings_blog);

			// Set the posts page
			if (!is_wp_error($estate_rental_listings_blog_id)) {
				update_option('page_for_posts', $estate_rental_listings_blog_id);
			}
		}

		// Create a Contact Us page and assign the template
		$estate_rental_listings_contact_title = 'Contact Us';
		$estate_rental_listings_contact_check = get_page_by_path('contact');
		if (!$estate_rental_listings_contact_check) {
			$estate_rental_listings_contact = array(
				'post_type'    => 'page',
				'post_title'   => $estate_rental_listings_contact_title,
				'post_content'   => '"More About The Free Estate WordPress Theme"
										The Free Estate WordPress Theme is packed with features designed to benefit real estate businesses in multiple ways. Integrated tools for managing listings, schedules, and tenant applications streamline property management processes, saving time and reducing administrative workload. Built with SEO best practices, the theme helps improve search engine rankings, increasing online visibility and attracting more traffic and potential clients to your website. The responsive design ensures the website adapts to different screen sizes and devices, providing an optimal viewing experience for users and improving engagement and accessibility. Extensive customization options for colors, fonts, and layouts allow you to create a unique and branded website that stands out from competitors. Pre-designed templates for property listings simplify the process of adding and updating listings, ensuring consistency and professionalism.

										The Free Estate WordPress Theme’s compatibility with popular property management software enhances functionality by integrating with tools you already use, providing a seamless workflow. This theme is designed to streamline your operations, making it easier to manage your properties efficiently. It also comes with easy integration with social media platforms, facilitating the sharing of listings and engaging with potential clients on social media. Its built-in contact and inquiry forms simplify communication between potential tenants and property managers, increasing lead generation and ensuring no potential leads are missed. Interactive maps help potential tenants visualize the location and surroundings of the properties, making it easier for them to make informed decisions. Additionally, a testimonial section builds credibility and trust with potential clients by showcasing positive feedback from previous tenants.

										The Free Estate WordPress Theme comes with real estate market analysis tools that provide valuable insights for making informed investment decisions. Dedicated sections for blogs and resources engage visitors with informative content, improving SEO and establishing authority in the real estate market. The Free Estate WordPress Theme is an excellent choice for real estate professionals looking to create a powerful online presence. Its combination of professional design, extensive features, and user-friendly customization options makes it an invaluable tool for managing and promoting rental properties. Whether you’re a seasoned property manager or just starting in the real estate market, this theme offers the tools and flexibility needed to succeed. Its visual appeal and functional features ensure that your website not only looks great but also serves as an effective platform for driving business growth.',
					'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'contact' // Unique slug for the Contact Us page
			);
			wp_insert_post($estate_rental_listings_contact);
		}

		// Create a About page and assign the template
		$estate_rental_listings_about_title = 'About';
		$estate_rental_listings_about_check = get_page_by_path('about');
		if (!$estate_rental_listings_about_check) {
			$estate_rental_listings_about = array(
				'post_type'    => 'page',
				'post_title'   => $estate_rental_listings_about_title,
				'post_content'   => '"More About The Free Estate WordPress Theme"
										The Free Estate WordPress Theme is packed with features designed to benefit real estate businesses in multiple ways. Integrated tools for managing listings, schedules, and tenant applications streamline property management processes, saving time and reducing administrative workload. Built with SEO best practices, the theme helps improve search engine rankings, increasing online visibility and attracting more traffic and potential clients to your website. The responsive design ensures the website adapts to different screen sizes and devices, providing an optimal viewing experience for users and improving engagement and accessibility. Extensive customization options for colors, fonts, and layouts allow you to create a unique and branded website that stands out from competitors. Pre-designed templates for property listings simplify the process of adding and updating listings, ensuring consistency and professionalism.

										The Free Estate WordPress Theme’s compatibility with popular property management software enhances functionality by integrating with tools you already use, providing a seamless workflow. This theme is designed to streamline your operations, making it easier to manage your properties efficiently. It also comes with easy integration with social media platforms, facilitating the sharing of listings and engaging with potential clients on social media. Its built-in contact and inquiry forms simplify communication between potential tenants and property managers, increasing lead generation and ensuring no potential leads are missed. Interactive maps help potential tenants visualize the location and surroundings of the properties, making it easier for them to make informed decisions. Additionally, a testimonial section builds credibility and trust with potential clients by showcasing positive feedback from previous tenants.

										The Free Estate WordPress Theme comes with real estate market analysis tools that provide valuable insights for making informed investment decisions. Dedicated sections for blogs and resources engage visitors with informative content, improving SEO and establishing authority in the real estate market. The Free Estate WordPress Theme is an excellent choice for real estate professionals looking to create a powerful online presence. Its combination of professional design, extensive features, and user-friendly customization options makes it an invaluable tool for managing and promoting rental properties. Whether you’re a seasoned property manager or just starting in the real estate market, this theme offers the tools and flexibility needed to succeed. Its visual appeal and functional features ensure that your website not only looks great but also serves as an effective platform for driving business growth.',
					'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'about' // Unique slug for the About page
			);
			wp_insert_post($estate_rental_listings_about);
		}

		// Create a Services page and assign the template
		$estate_rental_listings_services_title = 'Services';
		$estate_rental_listings_services_check = get_page_by_path('services');
		if (!$estate_rental_listings_services_check) {
			$estate_rental_listings_services = array(
				'post_type'    => 'page',
				'post_title'   => $estate_rental_listings_services_title,
				'post_content'   => '"More About The Free Estate WordPress Theme"
										The Free Estate WordPress Theme is packed with features designed to benefit real estate businesses in multiple ways. Integrated tools for managing listings, schedules, and tenant applications streamline property management processes, saving time and reducing administrative workload. Built with SEO best practices, the theme helps improve search engine rankings, increasing online visibility and attracting more traffic and potential clients to your website. The responsive design ensures the website adapts to different screen sizes and devices, providing an optimal viewing experience for users and improving engagement and accessibility. Extensive customization options for colors, fonts, and layouts allow you to create a unique and branded website that stands out from competitors. Pre-designed templates for property listings simplify the process of adding and updating listings, ensuring consistency and professionalism.

										The Free Estate WordPress Theme’s compatibility with popular property management software enhances functionality by integrating with tools you already use, providing a seamless workflow. This theme is designed to streamline your operations, making it easier to manage your properties efficiently. It also comes with easy integration with social media platforms, facilitating the sharing of listings and engaging with potential clients on social media. Its built-in contact and inquiry forms simplify communication between potential tenants and property managers, increasing lead generation and ensuring no potential leads are missed. Interactive maps help potential tenants visualize the location and surroundings of the properties, making it easier for them to make informed decisions. Additionally, a testimonial section builds credibility and trust with potential clients by showcasing positive feedback from previous tenants.

										The Free Estate WordPress Theme comes with real estate market analysis tools that provide valuable insights for making informed investment decisions. Dedicated sections for blogs and resources engage visitors with informative content, improving SEO and establishing authority in the real estate market. The Free Estate WordPress Theme is an excellent choice for real estate professionals looking to create a powerful online presence. Its combination of professional design, extensive features, and user-friendly customization options makes it an invaluable tool for managing and promoting rental properties. Whether you’re a seasoned property manager or just starting in the real estate market, this theme offers the tools and flexibility needed to succeed. Its visual appeal and functional features ensure that your website not only looks great but also serves as an effective platform for driving business growth.',
					'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'services' // Unique slug for the Services page
			);
			wp_insert_post($estate_rental_listings_services);
		}


		// ------------------------------------------ Header -------------------------------------- //

			set_theme_mod('estate_rental_listings_header_info_address','Broklyn Street, London');
			set_theme_mod('estate_rental_listings_header_info_address_text','Visit us');
			set_theme_mod('estate_rental_listings_header_info_phone','00 123 456 7890');
			set_theme_mod('estate_rental_listings_header_info_phone_text','Phone line');
			set_theme_mod('estate_rental_listings_header_info_email','info@example.com');
			set_theme_mod('estate_rental_listings_header_info_email_text','Email address');

			set_theme_mod('estate_rental_listings_header_button_text','GET A QUOTE');
			set_theme_mod('estate_rental_listings_header_button_link','#');	

		// ------------------------------------------ Slider Section -------------------------------------- //

			set_theme_mod('estate_rental_listings_enable_slider',1);
			set_theme_mod('estate_rental_listings_enable_event',1);

			for($i=1;$i<=3;$i++){
				set_theme_mod( 'estate_rental_listings_slider_image'.$i,get_template_directory_uri().'/revolution/assets/image/slider'.$i.'.png' );
				set_theme_mod( 'estate_rental_listings_slider_top_text'.$i, 'WELCOME TO THE REAL ESTATE' );
				set_theme_mod( 'estate_rental_listings_slider_heading'.$i, 'The Best Solution for all Industrial & Real Estate Businesses' );
				set_theme_mod( 'estate_rental_listings_slider_text'.$i, 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form by injected humour or randomised words which dont look even slightly believable.' );
				set_theme_mod( 'estate_rental_listings_slider_button1_text'.$i, 'GET A QUOTE' );
				set_theme_mod( 'estate_rental_listings_slider_button1_link'.$i, '#' );
			}

		// ------------------------------------------ Project Section -------------------------------------- //

			set_theme_mod('estate_rental_listings_event_heading','Our Projects');
			set_theme_mod('estate_rental_listings_event_text','Explore Recent Projects');

			wp_delete_post(1);
			$blog_title = array(
				'Featured Properties This Month',
				'Luxury Rentals You’ll Love',
				'Tips for First-Time Renters',
				'Neighborhood Spotlights',
				'Modern Living Spaces',
				'Exclusive Rental Deals',
			);
			for($i=1;$i<=6;$i++){
				$title =$blog_title[$i-1];
				$content = 'Lorem Ipsum is simply dummy text';

				// Create post object
				$my_post = array(
					'post_title'    => wp_strip_all_tags( $title ),
					'post_content'  => $content,
					'post_status'   => 'publish',
					'post_type'     => 'post',
				);

				// Insert the post into the database
				$post_id = wp_insert_post( $my_post );

				$image_url = get_template_directory_uri().'/revolution/assets/image/projects'.$i.'.png';
	
				$image_name= 'projects'.$i.'.png';
				$upload_dir       = wp_upload_dir();
				// Set upload folder
				$image_data       = file_get_contents($image_url);
				// Get image data
				$unique_file_name = wp_unique_filename( $upload_dir['path'], $image_name );
				// Generate unique name
				$filename= basename( $unique_file_name );
				// Create image file name
				// Check folder permission and define file location
				if( wp_mkdir_p( $upload_dir['path'] ) ) {
					 $file = $upload_dir['path'] . '/' . $filename;
				} else {
					 $file = $upload_dir['basedir'] . '/' . $filename;
				}
				// Create the image  file on the server
				if ( ! function_exists( 'WP_Filesystem' ) ) {
					require_once( ABSPATH . 'wp-admin/includes/file.php' );
				}

				WP_Filesystem();
				global $wp_filesystem;

				if ( ! $wp_filesystem->put_contents( $file, $image_data, FS_CHMOD_FILE ) ) {
					wp_die( 'Error saving file!' );
				}
				// Check image file type
				$wp_filetype = wp_check_filetype( $filename, null );
				// Set attachment data
				$attachment = array(
				 'post_mime_type' => $wp_filetype['type'],
				 'post_title'     => sanitize_file_name( $filename ),
				 'post_content'   => '',
				 'post_type'     => 'post',
				 'post_status'    => 'inherit'
				);
				// Create the attachment
				$attach_id = wp_insert_attachment( $attachment, $file, $post_id );
				// Include image.php
				require_once(ABSPATH . 'wp-admin/includes/image.php');
				// Define attachment metadata
				$attach_data = wp_generate_attachment_metadata( $attach_id, $file );
				// Assign metadata to attachment
				 wp_update_attachment_metadata( $attach_id, $attach_data );
				// And finally assign featured image to post
				set_post_thumbnail( $post_id, $attach_id );
			}


	$this->estate_rental_listings_social_menu();
	$this->estate_rental_listings_customizer_nav_menu();
	}

	public function estate_rental_listings_guide() {
		$display_string = '';
		$return = add_query_arg( array()) ;
		$theme = wp_get_theme( 'estate-rental-listings' );
		?>
		<div class="wrapper-info get-stared-page-wrap">
			<div class="wrapper-info-content">
				<div class="buynow__">
					<h2><?php esc_html_e( 'Welcome to Estate Rental Listings', 'estate-rental-listings' ); ?> <span class="version">Version: <?php echo esc_html($theme['Version']);?></span></h2>
					<p><?php esc_html_e('The quick setup wizard will assist you in configuring your new website. This wizard will import the demo content.', 'estate-rental-listings'); ?></p>
				</div>
				<div class="buynow_">
					<a target="_blank" class="buynow_themepage" href="<?php echo esc_url('https://www.revolutionwp.com/products/property-rental-wordpress-theme'); ?>"><?php echo esc_html__('Go Premium Now', 'estate-rental-listings'); ?></a>
				</div>
			</div>
			<div class="tab-sec theme-option-tab">
				<div id="demo_offer" class="tabcontent open">
					<?php $this->wizard_page(); ?>
				</div>
			</div>
		</div>
	<?php }
}